FactoryGirl.define do
  factory :operation, class: 'Logistics::Core::Operation' do
    operation_number { FFaker::Name.name }
    contract_number { FFaker::Name.name }
    tasks_generated false
    is_new_customer false
    status { FFaker::Name.name }
    association :offer_request
    association :declarant
    association :declaration_type
    association :transport_mode
    association :customs_office
    association :customs_office_unit
    association :country_of_origin, factory: :country
    association :acquisition_mode
    association :payment_term
    association :delivery_term
    association :container_arrangement
    association :customs_transport_tariff
    association :esl_transport_tariff
    association :warehouse
    association :owner, factory: :user
    trade_license_number { FFaker::Name.name }
    tin_number { FFaker::Name.name }
    t_number { FFaker::Name.name }
    investment_license_number { FFaker::Name.name }
    load_level { FFaker::Name.name }
    is_transfer false
    transfer_name nil
    transfer_tin_no nil
    transport_modality nil
  end
end
