FactoryGirl.define do
  factory :offer_request, class: 'Logistics::Core::OfferRequest' do
    request_no { FFaker::Name.name }
    association :user
    association :communication_channel
    source_detail { FFaker::Name.name }
    point_of_recipient { FFaker::Name.name }
    date_of_recipient Date.new
    general_remark { FFaker::Name.name }
    rate_level { FFaker::Name.name }
    security_status { FFaker::Name.name }
    is_sent false
    sent_date Date.new
    remark { FFaker::Name.name }
    date_status_set Date.new
    no_of_items 1
    no_of_convoy 1
    association :agent
    association :carrier
    arrival_date Date.new
    days_before_returning_container 1.5
    days_until_loaded 1.5
    additional_service_status { FFaker::Name.name }
    association :operation_type
    association :transaction_type
    association :client
    association :contract
    freight_forwarding true
    customs_clearing true
    transport true
  end
end
